%define rname activerecord
%define name ruby-%{rname}
%define version 1.14.4
%define release %mkrel 1

Summary:	Object-Relational mapping library for Ruby
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://ar.rubyonrails.com/
Source0:	%{rname}-%{version}.gem
Patch0:		activerecord-1.14.3-sock.patch.bz2
License:	MIT
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	ruby ruby-activesupport
BuildRequires:	ruby-RubyGems ruby-activesupport

%description
Active Record connects business objects and database tables to create a
persistable domain model where logic and data is presented in one wrapping.
It's an implementation of the object-relational mapping (ORM) pattern.

%prep
rm -rf %rname-%version
rm -rf tmp-%rname-%version
mkdir tmp-%rname-%version
gem install --ignore-dependencies %{SOURCE0} --no-rdoc --install-dir `pwd`/tmp-%rname-%version
mv tmp-%rname-%version/gems/%rname-%version .
mv tmp-%rname-%version/specifications/%rname-%version.gemspec %rname-%version/
rm -rf tmp-%rname-%version
%setup -T -D -n %rname-%version
%patch0 -p1 -b .sock

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
chmod 0644 README

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT{%{ruby_sitelibdir},%{ruby_ridir},%{ruby_gemdir}/specifications}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_sitelibdir}
cp -a ri/ri/ActiveRecord $RPM_BUILD_ROOT%{ruby_ridir}

cp -a %rname-%version.gemspec $RPM_BUILD_ROOT%{ruby_gemdir}/specifications/

for f in `find %buildroot%{ruby_sitelibdir} -type f`
do
        if head -n1 "$f" | grep '^#!' >/dev/null;
        then
                sed -i 's|/usr/local/bin|/usr/bin|' "$f"
                chmod 0755 "$f"
        else
                chmod 0644 "$f"
        fi
done


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/*
%{ruby_ridir}/*
%{ruby_gemdir}/specifications/%rname-%version.gemspec
%doc CHANGELOG README examples rdoc


%changelog
* Thu Nov 16 2006 Olivier Blin <oblin@mandriva.com> 1.14.4-1mdv2007.0
+ Revision: 84915
- 1.14.4
- Import ruby-activerecord



* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 1.14.3-2mdv2007.0
- Patch0: default to /var/lib/mysql/mysql.sock

* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 1.14.3-1mdv2007.0
- 1.14.3

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 1.13.2-2mdk
- Use system macro
- Ship the gemspec

* Mon Feb 06 2006 Pascal Terjan <pterjan@mandriva.org> 1.13.2-1mdk
- 1.13.2
- use gem
- mkrel

* Tue Jul 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.11.1-1mdk 
- First Mandriva release
